"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.initializeMultiEnvManager = void 0;

var _chalk = _interopRequireDefault(require("chalk"));

var _sourceManager = require("./source-manager");

var _backendManager = require("./backend-manager");

var _exec = require("./exec");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint no-console: 0 */
// eslint-disable-next-line
const initializeMultiEnvManager = async (projectName, repoOwner) => {
  const envs = ['master', 'test', 'dev'];

  for (let i = 0; i < envs.length; i += 1) {
    await (0, _sourceManager.initializeSourceControlManager)(projectName, repoOwner, envs[i], i === 0);
    await (0, _backendManager.initializeBackendManager)(envs[i]);
    await (0, _sourceManager.sourceControlPush)(envs[i], false, 'chore', 'tooling', 'Added initial amplify code', [], true);

    if (i !== envs.length - 1) {
      try {
        const result = await (0, _exec.shellExec)(`git checkout -b ${envs[i + 1]}`);
        console.log(_chalk.default.green(result.stdout));
        console.log(_chalk.default.red(result.stderr));
      } catch (err) {
        console.log((0, _chalk.default)(err));
      }
    }
  }
};

exports.initializeMultiEnvManager = initializeMultiEnvManager;